# Uses of Enum
org.apache.sling.feature.ExtensionState

Packages that use ExtensionState
Package
Description
org.apache.sling.feature

## Uses of ExtensionState in org.apache.sling.feature

Methods in org.apache.sling.feature that return ExtensionState
Modifier and Type
Method
Description
`ExtensionState`
Extension.`getState()`
Get the extension state
`static ExtensionState`
ExtensionState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExtensionState[]`
ExtensionState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.sling.feature with parameters of type ExtensionState
Modifier
Constructor
Description
``
`Extension(ExtensionType type, String name, ExtensionState state)`
Create a new extension